Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Ncurses (new curses) library is a free software emulation of curses.
Name:      	ncurses
Version:   	5.6
Release:   	4
License: 	GNU/GPL
URL:		http://www.gnu.org/software/ncurses/ncurses.html
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
Source1:	ncurses.conf
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
The Ncurses (new curses) library is a free software emulation of curses in System V Release 4.0, and more. It uses Terminfo format, supports pads and color and multiple highlights and forms characters and function-key mapping, and has all the other SYSV-curses enhancements over BSD Curses.
The distribution includes the library and support utilities, including a terminfo compiler tic, a decompiler infocmp, clear, tput, tset, and a termcap conversion tool captoinfo. Full manual pages are provided for the library and tools.

%package devel
Summary:        Header files and development documentation for ncurses
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}


%description devel
Header files for ncurses

%post
ldconfig

%postun
ldconfig


%prep
%setup -n %{name}-%{version}

%build
rm -rf $RPM_BUILD_ROOT

# build "normal" ncurses
./configure     --prefix=%_prefix \
                --mandir=%_mandir \
                --infodir=%_infodir \
                --with-shared \
                --without-debug \
                --without-ada \
                --enable-overwrite \
                --with-gpm 
make
make install DESTDIR=$RPM_BUILD_ROOT
make clean

# build utf enabled ncursesw
./configure     --prefix=%_prefix \
                --mandir=%_mandir \
                --infodir=%_infodir \
                --includedir=/usr/include/ncursesw \
                --libdir=/usr/lib/ncursesw \
                --with-shared \
                --without-debug \
                --without-ada \
                --enable-overwrite \
                --with-gpm \
                --enable-widec
make


%install
make install DESTDIR=$RPM_BUILD_ROOT 
mkdir -p %{buildroot}%_sysconfdir/ld.so.conf.d
install -m 644 %{SOURCE1} %{buildroot}%_sysconfdir/ld.so.conf.d

#install utf8 version of libs

#cp lib/libformw.a      $RPM_BUILD_ROOT/usr/lib/
#cp lib/libformw.so.5.6 $RPM_BUILD_ROOT/usr/lib/
#ln -s libformw.so.5.6  $RPM_BUILD_ROOT/usr/lib/libformw.so.5
#ln -s libformw.so.5    $RPM_BUILD_ROOT/usr/lib/libformw.so

#cp lib/libmenuw.a      $RPM_BUILD_ROOT/usr/lib/
#cp lib/libmenuw.so.5.6 $RPM_BUILD_ROOT/usr/lib/
#ln -s libmenuw.so.5.6  $RPM_BUILD_ROOT/usr/lib/libmenuw.so.5
#ln -s libmenuww.so.5    $RPM_BUILD_ROOT/usr/lib/libmenuw.so

#cp lib/libncurses++w.a $RPM_BUILD_ROOT/usr/lib/
#cp lib/libncursesw.so.5.6 $RPM_BUILD_ROOT/usr/lib/
#ln -s libncursesw.so.5.6  $RPM_BUILD_ROOT/usr/lib/libncursesw.so.5
#ln -s libncursesw.so.5    $RPM_BUILD_ROOT/usr/lib/libncursesw.so

#cp lib/libpanelw.a      $RPM_BUILD_ROOT/usr/lib/
#cp lib/libpanelw.so.5.6 $RPM_BUILD_ROOT/usr/lib/
#ln -s libpanelw.so.5.6  $RPM_BUILD_ROOT/usr/lib/libpanelw.so.5
#ln -s libpanelw.so.5    $RPM_BUILD_ROOT/usr/lib/libpanelw.so

%files
%defattr(-,root,root)
%_bindir
%_datadir
%_libdir/*.so.*
%_libdir/terminfo
%_libdir/ncursesw
%_sysconfdir/ld.so.conf.d/ncurses.conf

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 28 2007 Stefan Gottwald <gotti@ccux-linux.de> 5.6-4
- added /etc/ld.so.conf.d/ncurses.conf to solve bash error messages
* Fri Jun 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.6-3
- rearranged build-order to get widechar enabled headerfiles
* Sun May 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.6-2
- enabled utf8
* Mon Dec 25 2006 Christian Metzen <metzench@ccux-linux.de> 5.6-1
- Version update
* Fri Oct 14 2005 Christian Wasem <wasem@ccux-linux.de> 5.5-1
- Update to Version 5.5
* Sun Jul 17 2005 Christian Metzen <metzench@ccux-linux.de> 5.4-3
- Moved more files to devel package
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 5.4-2
- rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 5.4-1
- Initial Release
